Bug 138949 - SELinux policy packages should be upgraded before udev?
SELinux policy packages should be upgraded before udev?
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy-strict (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Mike McLean
: SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-11 20:50 EST by Aleksey Nogin
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-17 15:24:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksey Nogin 2004-11-11 20:50:13 EST
I am upgrading SELinux-enables FC2 to FC3. When anaconda was upgrading
the udev package, it complained (a lot) about invalid contexts in
/etc/security/selinux/file_contexts. Would it be a good idea to try to
avoid these warning messages by upgrading the SELinux policy packages
before udev?
Comment 1 Jeremy Katz 2004-11-12 10:58:38 EST
anaconda orders things entirely based on what the RPM package ordering
is (which is based on dependencies).  Assigning to selinux-policy as
it's a transition issue from the FC2 -> FC3 SELinux.
Comment 2 Daniel Walsh 2004-11-17 15:24:18 EST
This is a difficult problem since we do not want to put a dependancy
in udev on a particular SELinux policy.  So I guess the only thing I
can say is that I hope policy will not change as radically as it did
between FC2 and FC3 again.

Comment 3 Harald Hoyer 2004-11-18 05:42:01 EST
well, I could put a "conflicts" in udev
Comment 4 Daniel Walsh 2004-11-18 10:05:05 EST
What would that do?  I though conflicts would prevent udev from being
installed?

Dan

Note You need to log in before you can comment on or make changes to this bug.